Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IContentVisitor

    public interface IContentVisitor

Defines the visitor interface used mainly by a buffered emitter

Method Summary
`java.lang.Object` | `visit(IContent content, java.lang.Object value)`
`java.lang.Object` | `visitAutoText(IAutoTextContent autoText, java.lang.Object value)`
`java.lang.Object` | `visitCell(ICellContent cell, java.lang.Object value)` visit cell content object
`java.lang.Object` | `visitContainer(IContainerContent container, java.lang.Object value)` visit content( free-form and list band)
`java.lang.Object` | `visitContent(IContent content, java.lang.Object value)`
`java.lang.Object` | `visitData(IDataContent data, java.lang.Object value)`
`java.lang.Object` | `visitForeign(IForeignContent foreign, java.lang.Object value)` visit exteded item
`java.lang.Object` | `visitGroup(IGroupContent group, java.lang.Object value)`
`java.lang.Object` | `visitImage(IImageContent image, java.lang.Object value)` visit image content
`java.lang.Object` | `visitLabel(ILabelContent label, java.lang.Object value)`
`java.lang.Object` | `visitList(IListContent list, java.lang.Object value)` visit list content
`java.lang.Object` | `visitListBand(IListBandContent listBand, java.lang.Object value)` visit list band content
`java.lang.Object` | `visitListGroup(IListGroupContent group, java.lang.Object value)`
`java.lang.Object` | `visitPage(IPageContent page, java.lang.Object value)`
`java.lang.Object` | `visitRow(IRowContent row, java.lang.Object value)` visit the row content object
`java.lang.Object` | `visitTable(ITableContent table, java.lang.Object value)` visit table content object
`java.lang.Object` | `visitTableBand(ITableBandContent tableBand, java.lang.Object value)` visit table band
`java.lang.Object` | `visitTableGroup(ITableGroupContent group, java.lang.Object value)`
`java.lang.Object` | `visitText(ITextContent text, java.lang.Object value)` visit the text content object

Method Detail

### visit

    java.lang.Object visit(IContent content,
                           java.lang.Object value)
                           throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitContent

    java.lang.Object visitContent(IContent content,
                                  java.lang.Object value)
                                  throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitPage

    java.lang.Object visitPage(IPageContent page,
                               java.lang.Object value)
                               throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitContainer

    java.lang.Object visitContainer(IContainerContent container,
                                    java.lang.Object value)
                                    throws org.eclipse.birt.core.exception.BirtException

  visit content( free-form and list band)

  Parameters:
    `content` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitTable

    java.lang.Object visitTable(ITableContent table,
                                java.lang.Object value)
                                throws org.eclipse.birt.core.exception.BirtException

  visit table content object

  Parameters:
    `table` - the table object
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitTableBand

    java.lang.Object visitTableBand(ITableBandContent tableBand,
                                    java.lang.Object value)
                                    throws org.eclipse.birt.core.exception.BirtException

  visit table band

  Parameters:
    `tableBand` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitList

    java.lang.Object visitList(IListContent list,
                               java.lang.Object value)
                               throws org.eclipse.birt.core.exception.BirtException

  visit list content

  Parameters:
    `list` -
    `value` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitListBand

    java.lang.Object visitListBand(IListBandContent listBand,
                                   java.lang.Object value)
                                   throws org.eclipse.birt.core.exception.BirtException

  visit list band content

  Parameters:
    `listBand` -
    `value` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitRow

    java.lang.Object visitRow(IRowContent row,
                              java.lang.Object value)
                              throws org.eclipse.birt.core.exception.BirtException

  visit the row content object

  Parameters:
    `row` - the row object
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitCell

    java.lang.Object visitCell(ICellContent cell,
                               java.lang.Object value)
                               throws org.eclipse.birt.core.exception.BirtException

  visit cell content object

  Parameters:
    `cell` - the cell object
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitText

    java.lang.Object visitText(ITextContent text,
                               java.lang.Object value)
                               throws org.eclipse.birt.core.exception.BirtException

  visit the text content object

  Parameters:
    `text` - the text object
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitLabel

    java.lang.Object visitLabel(ILabelContent label,
                                java.lang.Object value)
                                throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitAutoText

    java.lang.Object visitAutoText(IAutoTextContent autoText,
                                   java.lang.Object value)
                                   throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitData

    java.lang.Object visitData(IDataContent data,
                               java.lang.Object value)
                               throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitImage

    java.lang.Object visitImage(IImageContent image,
                                java.lang.Object value)
                                throws org.eclipse.birt.core.exception.BirtException

  visit image content

  Parameters:
    `image` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitForeign

    java.lang.Object visitForeign(IForeignContent foreign,
                                  java.lang.Object value)
                                  throws org.eclipse.birt.core.exception.BirtException

  visit exteded item

  Parameters:
    `content` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitGroup

    java.lang.Object visitGroup(IGroupContent group,
                                java.lang.Object value)
                                throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitListGroup

    java.lang.Object visitListGroup(IListGroupContent group,
                                    java.lang.Object value)
                                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### visitTableGroup

    java.lang.Object visitTableGroup(ITableGroupContent group,
                                     java.lang.Object value)
                                     throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.